@font-face {
  font-family: apple;
  src: url(images/Apple.woff);
}
body{
    background: rgb(210, 248, 248);
    background-image: url('images/bluedots.gif');
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    font-size: 14px;
}
.parent {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-template-rows: repeat(4, 120px 1fr 1fr 1fr);
    gap: 2px;
    height: 900px;
    width: 750px;
    border: 1px solid lightgray;
    position: relative;
    margin: auto;
    background-color:aliceblue;
    background-image: url('images/pinkblinkbg.webp');
}

.element::-webkit-scrollbar {
  display: none; 
}
    
.header {
    grid-column: span 5 / span 5;
    grid-row: span 1 / span 1;
    max-height: 100px;
    width: 746px;
    border: 1px solid black;
    align-content:center;
}

.leftouter {
    grid-column: span 2 / span 2;
    grid-row: span 2 / span 2;
    grid-row-start: 2;
    grid-column-start: 1;
    border: 1px solid black;
    position: inline block;
    box-shadow: -10px 0 0  10px  #aadcff;
    height: 403px;
    width: 275px;
    margin-left: 20px;
}
.left-inner {
    box-shadow: 0 0 0 10px #fcdebf inset;
    border: 3px solid transparent;
    background-color: antiquewhite;
    height: 400px;
    overflow-y: scroll;
    scrollbar-width: none;
} 

.rightouter {
    grid-column: span 2 / span 2;
    grid-row: span 2 / span 2;
    grid-column-start: 2;
    grid-row-start: 2;
    border: 1px solid black;
    box-shadow: 10px 0 0  10px #aadcff;
    position: inline block;
    height: 403px;
    width: 275px;
}

.right-inner {
    box-shadow: 0 0 0 10px #fcdebf inset;
    border: 3px solid transparent;
    background-color: antiquewhite;
    height: 400px;
    overflow-y: scroll;
    scrollbar-width: none;
    text-align: center;
}
.top{
    grid-column: span 4 / span 4;
    grid-row: span 2 / span 2;
    grid-column-start: 1;
    grid-row-start: 2;
    border: 2px dotted  rgb(243, 138, 138);
    background-color: lightcyan;
    z-index: 10;
    width: 590px;
    height: 400px;
    position: relative;
    overflow-y:scroll;
    scrollbar-width: thin;
    scrollbar-color: lightblue;
    overflow-x:hidden;
    
}
.preview{
    width:480px;
    height: 240px;
    position: relative;
    object-fit: cover;
    border: 1px solid black;
}
.bottom{
    grid-column: span 2 / span 2;
    grid-column-start: 1;
    grid-row-start: 4;
    border: 2px dotted  rgb(243, 138, 138);
    background-color: rgba(255, 135, 135, 0);
    z-index: 10;
    width: 590px;
    height: 350px;
    position: relative;
    overflow-y:scroll;
    overflow-x:hidden;
    display: inline-block;
    scrollbar-width: thin;
    scrollbar-color: lightblue;
}
.all{
    grid-column: span 2 / span 2;
    grid-row: span 5 / span 5;
    grid-column-start: 1;
    grid-row-start: 2;
    border: 2px dotted  rgb(243, 138, 138);
    background-color: lightcyan;
    top: -70px;
    width: 590px;
    overflow-y:scroll;
    overflow-x:hidden;
    display: inline-block;
    scrollbar-width: thin;
    scrollbar-color: lightblue;
}

.nav {
    grid-row: span 2 / span 2;
    grid-column: span 1 / span 1;
    grid-column-start: 3;
    grid-row-start: 2;
    border: 1px solid transparent;
    width: 135px;
    height: 430px;
    position: grid;
    padding-left: 10px;
    padding-right: 10px;
    margin-top: -10px;
}
.stamp {
    grid-row: span 2 / span 2;
    grid-column: span 1 / span 1;
    grid-column-start: 3;
    grid-row-start: 4;
    border: 1px solid transparent;
    width: 150px;
    height: 350px;
    overflow-y: scroll;
    scrollbar-width: none;
    display: flexbox;
    padding-left: 10px;
    padding-right: 10px;
    margin-left: -10px;
}

.jellysticker {
    border: 1px solid transparent;
    position:fixed;
    z-index: 999;
    height: 100px;
    width: 270px;
    left: 350px;
    top: 510px;
    transform: rotate(-11deg);

}
.stickertwo {
    border: 1px solid transparent;
    position:fixed;
    z-index: 999;
    width: 70px;
    right: 535px;
    top: 90px;
    transform: rotate(9deg);
}

ul {
  list-style-type: none;
  margin: 0;
  padding: 10px;
  background-color: rgb(255, 186, 181);
  width: 100%;
  height: 100%;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
}

li a {
  display: inline-block;
  color: black;
  padding: 7px;
  text-transform: lowercase;
  text-decoration: wavy underline white;
  font-family: apple;
  font-size: 10px;
}
li a:hover {
  background-color: rgb(187, 250, 250);
  color: rgb(169, 212, 253);
  text-decoration:underline;
}

h1{
   font-family: apple;
   font-size: small;
   text-align: center;
}

h2{
    display:flex;
    background-color:lightskyblue;
    font-family: arial;
    font-weight: lighter;
    font-size: 14px;
    letter-spacing: 1px;
    border-top: 4px dotted white;
    border-bottom:4px dotted white;
    text-align: center;
}

h3{
    font-family: MS Gothic;
    font-size: 10px;
    color:rgb(83, 97, 128);
}

h4{ 
display: flex;
    font-family: georgia;
    font-weight: lighter;
    justify-content: center;
    border: 1px solid;
    padding: 5px;
    letter-spacing: 1px;
    background: linear-gradient(to left, #aadcff 100%, #fef0f000 0%);
    background-image: url('images/cloud divider.avif');
    background-size: cover;
    text-shadow: var(--shad2);
}

textarea {
  padding: 6px;
  max-width: 90%;
  line-height: 1.5;
  border-radius: 5px;
  border: 1px solid #cccccc;
  box-shadow: 1px 1px 1px #999999;
  box-align: center;
}

.sticker-links {
  display:flex;
  flex-wrap:wrap;
  width:590px; /* this can be modified to make the gallery wider */
  height:900px;
  overflow-y: scroll;
  overflow-x: hidden;
  scrollbar-color: lightblue transparent;
  scrollbar-width: thin;
}

.sticker-links img {
  width:190px; /* this sets the width for every image */
  height:150px; /* this sets the height for every image. Try setting it to 'auto' and see how it looks weird since every image has a slightly different height? */
  object-fit:cover; /* this crops the image so they are all the same size. This might be an issue if you have landscape AND portrait images. Feel free to take this property out temporarily to see exactly what it does! */
  
}

/* this is the div which CROPS every image */
.sticker-links > div {
  width:150px; /* this should match the image height */
  height:20px; /* this should match the image width */
  margin-right: 43px; /* this controls the gaps between the images */
  margin-bottom:5px; /* this controls the gaps between the images */
}

/* this resizes the image on hover. note that objects in 'portrait'  */
.sticker-links img:hover {
  border: 3px solid lightpink;
  transform: scale(1.5);
  overflow-inline:visible;
  object-fit:cover; /* this keeps the aspect ratio of the original images*/
}

#statuscafe {
    padding: .5em;
    background-color: rgb(178, 241, 252);
    border: 1px dotted rgb(248, 190, 210);
}
#statuscafe-username {
    margin-bottom: .5em;
}
#statuscafe-content {
    margin: 0 1em 0.5em 1em;
}